Loading...
Searching...
No Matches
Poly Class Reference

`#include <janet.h>`

## Public Member Functions

| Poly (ring r=currRing)
| Poly (int n, ring r=currRing)
| Poly (const char *c, ring r=currRing)
| Poly (const Base &p)
| Poly (const Number &n)
| Poly (poly p, ring r)
| Poly (poly p, ring r, int)
| Poly (const std::vector< int > &v, ring r=currRing)
Poly & | operator+= (const Poly &p)
Poly & | operator+= (const Base &p)
Public Member Functions inherited from PolyBase< POLY_VARIANT_RING, Poly, MyErrorHandler >
poly | as_poly () const
void | checkIsSameRing (T &p)
Intvec | leadExp ()
void | copy_on_write ()
void | print () const
char * | c_string () const
| PolyBase (ring r=currRing)
| PolyBase (const char *c, ring r=currRing)
| PolyBase (const PolyBase &p)
PolyBase & | operator+= (const PolyBase &p2)
PolyBase & | operator*= (const Poly &p2)
PolyBase & | operator*= (Number n)
virtual | ~PolyBase ()
| PolyBase (poly p, ring r)
| PolyBase (poly p, ring r, int)
PolyInputIterator< create_type > | begin ()
PolyInputIterator< create_type > | end ()
ring | getRing () const
int | lmTotalDegree () const
Number | leadCoef ()
create_type | operator- ()

## Data Fields

poly | root
kBucket_pt | root_b
int | root_l
poly | history
poly | lead
char * | mult
int | changed
int | prolonged

## Private Types

typedef PolyBase< POLY_VARIANT_RING, Poly, MyErrorHandler > | Base

## Friends

class | Vector
class | PolyBase< POLY_VARIANT_MODUL, Vector, MyErrorHandler >
bool | operator== (const Poly &p1, const Poly &p2)

## Additional Inherited Members

Public Types inherited from PolyBase< POLY_VARIANT_RING, Poly, MyErrorHandler >
typedef Poly | create_type
typedef PolyInputIterator< create_type > | iterator
Protected Member Functions inherited from PolyBase< POLY_VARIANT_RING, Poly, MyErrorHandler >
| PolyBase (PolyImpl &impl)
poly | getInternalReference ()
Protected Attributes inherited from PolyBase< POLY_VARIANT_RING, Poly, MyErrorHandler >
shared_ptr< PolyImpl > | ptr

## Detailed Description

Definition at line 14 of file janet.h.

## Member Typedef Documentation

## Base

typedef PolyBase<POLY_VARIANT_RING, Poly,MyErrorHandler> Poly::Base

private

Definition at line 457 of file Poly.h.

## Constructor & Destructor Documentation

## Poly() [1/8]

Poly::Poly | ( | ring | r = currRing | ) |

inline

Definition at line 462 of file Poly.h.

:Base ((poly)NULL,r,0){
}
NULL
#define NULL
Definition omList.c:12
Poly::Base
PolyBase< POLY_VARIANT_RING, Poly, MyErrorHandler > Base
Definition Poly.h:457

## Poly() [2/8]

Poly::Poly | ( | int | n,
|  | ring | r = currRing )

inline

Definition at line 464 of file Poly.h.

:Base(*(new PolyImpl(n,r))){
}

## Poly() [3/8]

Poly::Poly | ( | const char * | c,
|  | ring | r = currRing )

inline

Definition at line 467 of file Poly.h.

:Base(c,r){
}

## Poly() [4/8]

Poly::Poly | ( | const Base & | p | ) |

inline

Definition at line 470 of file Poly.h.

:Base(p){
}
p
int p
Definition cfModGcd.cc:4086

## Poly() [5/8]

Poly::Poly | ( | const Number & | n | ) |

inline

Definition at line 473 of file Poly.h.

:Base(*(new PolyImpl(n))){
}

## Poly() [6/8]

Poly::Poly | ( | poly | p,
|  | ring | r )

inline

Definition at line 476 of file Poly.h.

:Base(p,r){
}

## Poly() [7/8]

Poly::Poly | ( | poly | p,
|  | ring | r,
|  | int | )

inline

Definition at line 479 of file Poly.h.

:Base(p,r,0){
}

## Poly() [8/8]

Poly::Poly | ( | const std::vector< int > & | v,
|  | ring | r = currRing )

inline

Definition at line 481 of file Poly.h.

:Base(*(new PolyImpl((poly) NULL,r))){
unsigned int i;
int s=v.size();
poly p=p_ISet(1,r);
for(i=0;i<v.size();i++){
pSetExp(p,i+1,v[i]);
}
pSetm(p);
ptr.reset(new PolyImpl(p,r));
}
i
int i
Definition cfEzgcd.cc:132
PolyBase< POLY_VARIANT_RING, Poly, MyErrorHandler >::ptr
shared_ptr< PolyImpl > ptr
Definition Poly.h:451
s
const CanonicalForm int s
Definition facAbsFact.cc:51
v
const Variable & v
< [in] a sqrfree bivariate poly
Definition facBivar.h:39
p_ISet
poly p_ISet(long i, const ring r)
returns the poly representing the integer i
Definition p_polys.cc:1298
pSetm
#define pSetm(p)
Definition polys.h:272
pSetExp
#define pSetExp(p, i, v)
Definition polys.h:43

## Member Function Documentation

## operator+=() [1/2]

Poly & Poly::operator+= | ( | const Base & | p | ) |

inline

Definition at line 501 of file Poly.h.

{
((Base&)*this)+=p;
return *this;
}

## operator+=() [2/2]

Poly & Poly::operator+= | ( | const Poly & | p | ) |

inline

Definition at line 496 of file Poly.h.

{
((Base&)*this)+=p;
return *this;
}

## Friends And Related Symbol Documentation

## operator==

bool operator== | ( | const Poly & | p1,
|  | const Poly & | p2 )

friend

Definition at line 608 of file Poly.h.

{
ring r1=p1.getRing();
ring r2=p2.getRing();
if (r1!=r2) return false;
return p_EqualPolys(p1.ptr->p,p2.ptr->p,r1);
}
PolyBase::getRing
ring getRing() const
Definition Poly.h:427
p_EqualPolys
BOOLEAN p_EqualPolys(poly p1, poly p2, const ring r)
Definition p_polys.cc:4666

## PolyBase< POLY_VARIANT_MODUL, Vector, MyErrorHandler >

friend class PolyBase< POLY_VARIANT_MODUL, Vector, MyErrorHandler >

friend

Definition at line 458 of file Poly.h.

## Vector

friend class Vector

friend

Definition at line 458 of file Poly.h.

## Field Documentation

## changed

int Poly::changed

Definition at line 22 of file janet.h.

## history

poly Poly::history

Definition at line 19 of file janet.h.

## lead

poly Poly::lead

Definition at line 20 of file janet.h.

## mult

char* Poly::mult

Definition at line 21 of file janet.h.

## prolonged

int Poly::prolonged

Definition at line 23 of file janet.h.

## root

poly Poly::root

Definition at line 16 of file janet.h.

## root_b

kBucket_pt Poly::root_b

Definition at line 17 of file janet.h.

## root_l

int Poly::root_l

Definition at line 18 of file janet.h.

The documentation for this class was generated from the following files:

- kernel/GBEngine/janet.h
- Singular/dyn_modules/python/Poly.h